Move the two tests in tests/tee to tests/misc/.
authorJim Meyering <jim@meyering.net>
Tue, 11 Sep 2007 21:30:09 +0000 (23:30 +0200)
committerJim Meyering <jim@meyering.net>
Sat, 15 Sep 2007 06:40:39 +0000 (08:40 +0200)
* tests/tee/basic: Move this file to ...
* tests/misc/tee: ...here.  Don't rely on $PROG in env.
* tests/tee/dash: Move this file to ...
* tests/misc/tee-dash: ...here.  Don't rely on $PROG in env.
* tests/misc/Makefile.am (TESTS): Add tee.
* tests/Makefile.am (SUBDIRS): Remove tee.
* tests/tee: Remove the directory.
* configure.ac (AC_CONFIG_FILES): Remove tests/tee/Makefile

configure.ac
tests/Makefile.am
tests/misc/Makefile.am
tests/misc/tee [moved from tests/tee/basic with 66% similarity]
tests/misc/tee-dash [moved from tests/tee/dash with 67% similarity]
tests/tee/Makefile.am [deleted file]

index dc9436f..8743729 100644 (file)
@@ -364,7 +364,6 @@ AC_CONFIG_FILES(
   tests/tac/Makefile
   tests/tail-2/Makefile
   tests/tail/Makefile
-  tests/tee/Makefile
   tests/test/Makefile
   tests/touch/Makefile
   tests/tr/Makefile
index 222dbe6..b1865b3 100644 (file)
@@ -46,7 +46,7 @@ EXTRA_DIST =          \
 SUBDIRS = \
   chgrp chmod chown cp cut dd du head \
   install join ln ls ls-2 misc mkdir mv od pr readlink rm rmdir \
-  sha1sum shred sort stty tac tail tail-2 tee test touch tr \
+  sha1sum shred sort stty tac tail tail-2 test touch tr \
   uniq wc
 ## N O T E :: Please do not add new directories.
 
index 0d283b3..6998353 100644 (file)
@@ -104,6 +104,8 @@ TESTS = \
   sum \
   sum-sysv \
   tac-continue \
+  tee \
+  tee-dash \
   test-diag \
   tsort \
   tty-eof \
similarity index 66%
rename from tests/tee/basic
rename to tests/misc/tee
index 296ff5e..6da34a6 100755 (executable)
@@ -1,7 +1,7 @@
 #!/bin/sh
 # test for basic tee functionality.
 
-# Copyright (C) 2005, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2005-2007 Free Software Foundation, Inc.
 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -21,27 +21,18 @@ if test "$VERBOSE" = yes; then
   tee --version
 fi
 
-pwd=`pwd`
-t0=`echo "$0" |sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap 'status=$?; (exit $status); exit $status' 1 2 13 15
+. $srcdir/../test-lib.sh
 
-fail=0
-mkdir -p $tmp && cd $tmp || fail=1
-echo line >sample || fail=1
-nums=`seq 9` || fail=1
-
-if test $fail = 1; then
-  echo "$0: failure in testing framework" 1>&2
-  (exit 1); exit 1
-fi
+echo line >sample || framework_failure
+nums=`seq 9` || framework_failure
 
+fail=0
 for n in 0 $nums; do
        files=`seq $n`
        rm -f $files
        tee $files <sample >out || fail=1
        for f in out $files; do
-               cmp sample $f || fail=1
+               compare sample $f || fail=1
        done
 done
 
similarity index 67%
rename from tests/tee/dash
rename to tests/misc/tee-dash
index a5e06a9..3e4ecd6 100755 (executable)
@@ -1,7 +1,7 @@
 #!/bin/sh
 # test for "tee -".
 
-# Copyright (C) 2005, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2005-2007 Free Software Foundation, Inc.
 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -21,19 +21,9 @@ if test "$VERBOSE" = yes; then
   tee --version
 fi
 
-pwd=`pwd`
-t0=`echo "$0" |sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap 'status=$?; (exit $status); exit $status' 1 2 13 15
+. $srcdir/../test-lib.sh
 
 fail=0
-mkdir -p $tmp && cd $tmp || fail=1
-
-if test $fail = 1; then
-  echo "$0: failure in testing framework" 1>&2
-  (exit 1); exit 1
-fi
-
 tee - </dev/null || fail=1
 
 (exit $fail); exit $fail
diff --git a/tests/tee/Makefile.am b/tests/tee/Makefile.am
deleted file mode 100644 (file)
index 48f3239..0000000
+++ /dev/null
@@ -1,6 +0,0 @@
-## Process this file with automake to produce Makefile.in -*-Makefile-*-.
-TESTS = basic dash
-EXTRA_DIST = $(TESTS)
-TESTS_ENVIRONMENT = \
-  CU_TEST_NAME=`basename $(abs_srcdir)`,$$tst \
-  PATH="$(VG_PATH_PREFIX)`pwd`/../../src$(PATH_SEPARATOR)$$PATH"